<?php 

require_once "../controladores/area.controlador.php";
require_once "../modelos/area.modelo.php";
class AjaxArea {

    /** EDITAR AREA */

    public $idArea;
    

    public function ajaxEditarArea(){


        $item = "id";
        $valor = $this -> idArea;
        $almacen = ControladorArea:: ctrMostrarArea($item, $valor);

        echo json_encode($almacen);
        

    } 

    /*=============================================
	VALIDAR NO REPETIR LA AREA
	=============================================*/	

	public $validarNombre;

	public function ajaxValidarArea(){

		$item = "nombre";
		$valor = $this->validarNombre;

		$respuesta = ControladorArea::mdlMostrarArea($item, $valor);

		echo json_encode($respuesta);

	}

    
}

/** EDITAR AREA */

if(isset($_POST["idArea"])){
    $editar = new AjaxArea();
    $editar -> idArea = $_POST["idArea"];
    $editar -> ajaxEditarArea();

}

if(isset( $_POST["validarNombre"])){

	$valArea = new AjaxArea();
	$valArea -> validarNombre = $_POST["validarNombre"];
	$valArea -> ajaxValidarArea();

}